LANGUAGE_CODE = 'en-us'

KNOWN_SERVICES = {
    'wcs': {
        'default': {'title': 'test', 'url': 'http://127.0.0.1:8999/',
            'secret': 'combo', 'orig': 'combo',
            'backoffice-menu-url': 'http://127.0.0.1:8999/backoffice/',},
        'other': {'title': 'test2', 'url': 'http://127.0.0.2:8999/',
            'secret': 'combo', 'orig': 'combo',
            'backoffice-menu-url': 'http://127.0.0.2:8999/backoffice/',},
    },
    'passerelle': {
        'default': {'title': 'test', 'url': 'http://example.org',
                    'secret': 'combo', 'orig': 'combo',
                    'backoffice-menu-url': 'http://example.org/manage/',}
    }
}

MESSAGE_STORAGE = 'django.contrib.messages.storage.session.SessionStorage'

LINGO_API_SIGN_KEY = '12345'
LINGO_SIGNATURE_KEY = '54321'

import tempfile
MEDIA_ROOT = tempfile.mkdtemp('combo-test')

if 'DISABLE_MIGRATIONS' in os.environ:
    class DisableMigrations(object):
        def __contains__(self, item):
            return True

        def __getitem__(self, item):
            return 'notmigrations'

    MIGRATION_MODULES = DisableMigrations()
